Issue 21173

Summary: Q-PCD Programmability-2
Product: General Reporter: noel.power
Component: scriptingAssignee: noel.power
Status: CLOSED FIXED QA Contact: issues <issues.openoffice.org>
Severity: trivial    
Priority: P2 CC: issues
Version: current   
Target Milestone: OOo 2.0   
Hardware: All   
OS: All   
Issue Type: FEATURE Latest Confirmation on: ---
Developer Difficulty: ---

Description noel.power 2003-10-14 15:24:50 UTC
Product Requirement 
Java for Scripting  Support Java as one of our key scripting languages, to help
engage external Java programmers to support and extend SO/OOo. It should be
possible to use Java for scripting purposes.  For example, it should be possible
to include Java code (JAR files) in SO/OOo documents so that they can be used
for scripting purposes.

Customer Need/Problem
Users do not want to learn many different programming languages. Many users
would be fine with just using StarBasic for scripting purposes but Java should
also be supported for scripting tasks.

Product Concept
Scripting Framework currently supports Java, BeanShell and a prototype of a
JavaScript runtime.  The Scripting Framework needs to be fully integrated into
the SO/OOo installation.  Common interface to all the supported scripting
languages, allowing users to browse and select scripts from any language. 


np Tue Oct 14 13:51:47 BST 2003
 removed ection below from description

' The SO/OOo API needs to be simplified, it needs to be more Script/ Task
orientated and provide High level objects with interfaces that focus on the
Script developers needs.'

This will now be covered by IZ num 201150
Comment 1 lutz.hoeger 2003-10-23 07:45:22 UTC
added keyword Q-PCD
Comment 2 noel.power 2003-12-09 07:56:22 UTC
Initial support provided by scripting framework for java.
Comment 3 tomaisoc 2004-02-10 10:06:43 UTC
Add pkgchk dependency.
Comment 4 noel.power 2004-03-22 13:52:44 UTC
Java now supported by the scripting framework and is available from standard install
Comment 5 noel.power 2004-03-22 14:02:12 UTC
removed dependecy on pkgchk, these should be considered as seperate and distinct
features
Comment 6 joerg.skottke 2004-04-14 09:07:24 UTC
verified
Comment 7 noel.power 2005-01-06 15:28:18 UTC
closed